X2Go Bug report logs - #1424
x2gomatebindings breaks caja locale in MATE

version graph

Package: x2gomatebindings; Maintainer for x2gomatebindings is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gomatebindings is src:x2gomatebindings.

Reported by: Иван <soulhunterxx@mail.ru>

Date: Wed, 11 Dec 2019 08:55:01 UTC

Severity: normal

Tags: pending

Found in version 0.0.1.6

Fixed in version 0.0.1.7

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1424; Package x2gomatebindings. (Wed, 11 Dec 2019 08:55:01 GMT) (full text, mbox, link).


Acknowledgement sent to Иван <soulhunterxx@mail.ru>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 11 Dec 2019 08:55:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Иван <soulhunterxx@mail.ru>
To: submit@bugs.x2go.org
Subject: x2gomatebindings breaks caja locale in MATE
Date: Wed, 11 Dec 2019 11:50:43 +0300
[Message part 1 (text/plain, inline)]
Package: x2gomatebindings
Version: 0.0.1.6


When logging with any client some MATE desktop icons and menu entries 
appear in default English language, instead of language set by system 
locale (see included screenshot).

Reason: libcaja-x2goumount.so overrides previously loaded by caja locale 
file with it's own nearly empty file (that is even not existing for many 
languages). This behavior also can be discovered on older versions.

Possible found workarounds:

0. Remove libcaja-x2goumount.so (fixes bug but you lack the umount 
function).

1. Take contents of caja package locale file for your language from 
https://github.com/mate-desktop/caja/tree/master/po and put it into the 
x2gousbmount locale file x2goumount.po in 
/usr/local/share/locale/<your_locale>/. (Best for now)

2. Build x2gomatebindings without locale file support (that is not 
really necessary, due to only one added menu entry). This is done by 
commenting out bindtextdomain strings in 
extension/caja-x2goumount-module.c.

As addition to this, default system locale folder for Debian is 
/usr/share/locale and x2gomatebindings package founds its locale files 
only in /usr/local/share/locale. Workaround: symlink in /usr/local/share 
pointing to /usr/share/locale

Server machine: Debian GNU/Linux 10 (buster) 4.19.0-6-amd64 #1 SMP 
Debian 4.19.67-2+deb10u2 (2019-11-11) x86_64 GNU/Linux

Package versions: libx2go-config-perl 4.1.0.3-4
libx2go-log-perl 4.1.0.3-4
libx2go-server-db-perl 4.1.0.3-4
libx2go-server-perl 4.1.0.3-4
libx2go-utils-perl 4.1.0.3-4
x2go-keyring 2019.08.20+git20190820.118+10.main.1
x2gomatebindings 0.0.1.6-0~x2go1+git20181121.212+10.main.1
x2goserver 4.1.0.3-4
x2goserver-common 4.1.0.3-4
x2goserver-extensions 4.1.0.3-4
x2goserver-fmbindings 4.1.0.3-4
x2goserver-printing 4.1.0.3-4
x2goserver-x2goagent 4.1.0.3-4
x2goserver-xsession 4.1.0.3-4
x2gothinclient-management 1.5.0.1-0x2go2+git20191129.725+10.main.1
x2gothinclientmanagement 1.5.0.0-0x2go1+git20181202.691+10.main.1

mate-desktop 1.20.4-2
mate-desktop-common 1.20.4-2

caja 1.20.3-1+b1
caja-common 1.20.3-1
caja-extensions-common 1.20.2-1
caja-sendto 1.20.2-1
libcaja-extension1:amd64 1.20.3-1+b1


[screenshot 2019-12-11 11-17-25.png (image/png, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1424; Package x2gomatebindings. (Wed, 11 Dec 2019 11:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to Иван <soulhunterxx@mail.ru>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 11 Dec 2019 11:40:02 GMT) (full text, mbox, link).


Message #10 received at 1424@bugs.x2go.org (full text, mbox, reply):

From: Иван <soulhunterxx@mail.ru>
To: 1424@bugs.x2go.org
Subject: x2gomatebindings breaks caja locale in MATE
Date: Wed, 11 Dec 2019 14:35:42 +0300
[Message part 1 (text/plain, inline)]
Package: x2gomatebindings
Version: 0.0.1.6
Tag: patch


This happens due to incorrect usage of gettext for library (see 
https://www.gnu.org/software/gettext/manual/gettext.html 4.10 Preparing 
Library Sources)

This patch fixes broken behaviour. However, I don't know how to fix 
debian locale files search path issue.

Thank you.

[x2gomatebindings_locale.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1424; Package x2gomatebindings. (Fri, 13 Dec 2019 06:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 13 Dec 2019 06:05:01 GMT) (full text, mbox, link).


Message #15 received at 1424@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1424-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1424@bugs.x2go.org
Subject: X2Go issue (in src:x2gomatebindings) has been marked as pending for release
Date: Fri, 13 Dec 2019 07:03:16 +0100 (CET)
tag #1424 pending
fixed #1424 0.0.1.7
thanks

Hello,

X2Go issue #1424 (src:x2gomatebindings) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gomatebindings.git;a=commitdiff;h=8a7cf36

The issue will most likely be fixed in src:x2gomatebindings (0.0.1.7).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 8a7cf3610ade26cd6fdc337868007e878e720c9b
Author: Иван <soulhunterxx@mail.ru>
Date:   Fri Dec 13 07:02:45 2019 +0100

    Fix incorrect usage of gettext and stop breaking locales of caja. (Fixes: 1424).

diff --git a/debian/changelog b/debian/changelog
index 5f3794e..0b87794 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,7 +1,13 @@
 x2gomatebindings (0.0.1.7-0~x2go1) UNRELEASED; urgency=medium
 
+  [ X2Go Release Manager ]
   * Continue development
 
+  [ Иван ]
+  * New upstream version (0.0.1.7):
+    - Fix incorrect usage of gettext and stop breaking locales of caja.
+      (Fixes: 1424).
+
  -- X2Go Release Manager <git-admin@x2go.org>  Wed, 21 Nov 2018 03:58:12 +0100
 
 x2gomatebindings (0.0.1.6-0~x2go1) unstable; urgency=medium


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 13 Dec 2019 06:05:02 GMT) (full text, mbox, link).


Marked as fixed in versions 0.0.1.7. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 13 Dec 2019 06:05:02 GMT) (full text, mbox, link).


Message sent on to Иван <soulhunterxx@mail.ru>:
Bug#1424. (Fri, 13 Dec 2019 06:05:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Feb 27 05:41:54 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.